Skip to main content
`Ctrl`+`K`

# SVDErrorView

Displays the errors associated with the computed solution (as well as the singular values).

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDErrorView(SVD svd,SVDErrorType etype,PetscViewer viewer)

Collective

## Input Parameters

- svd - the singular value solver context

- etype - error type

- viewer - optional visualization context

## Options Database Keys

- -svd_error_absolute - print absolute errors of each singular triplet

- -svd_error_relative - print relative errors of each singular triplet

- -svd_error_norm - print errors relative to the matrix norms of each singular triplet

## Notes

By default, this function checks the error of all singular triplets and prints the singular values if all of them are below the requested tolerance. If the viewer has format `PETSC_VIEWER_ASCII_INFO_DETAIL` then a table with singular values and corresponding errors is printed.

All the command-line options listed above admit an optional argument specifying the viewer type and options. For instance, use `-svd_error_relative :myerr.m:ascii_matlab` to save the errors in a file that can be executed in Matlab.

## See Also

SVD: Singular Value Decomposition, `SVDSolve()`, `SVDValuesView()`, `SVDVectorsView()`

## Level

intermediate

## Location

src/svd/interface/svdview.c

## Examples

src/svd/tutorials/ex53.c
src/svd/tutorials/ex14.c
src/svd/tutorials/ex48.c
src/svd/tutorials/ex51.c
src/svd/tutorials/ex52.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages